fabric-1.0-fast
Setup your API Key
How to Make a Call
API Schemas
Create a video generation task and send it to the server
post
Body
modelundefined · enumRequiredPossible values:
image_urlstring · uriRequired
A direct link to an online image or a Base64-encoded local image that will serve as the visual base or the first frame for the video.
audio_urlstring · uriRequired
Reference song, should contain music and vocals. Must be a .wav or .mp3 file longer than 15 seconds.
resolutionstring · enumRequiredPossible values:
The resolution of the generated video. Available options are 480p, and 720p.
Responses
201Success
post
/v2/video/generations201Success
No content
Retrieve the generated video from the server
get
Authorizations
AuthorizationstringRequired
Bearer key
Query parameters
generation_idstringRequiredExample:
<REPLACE_WITH_YOUR_GENERATION_ID>Responses
200Success
application/json
idstringRequiredExample:
The ID of the generated video.
60ac7c34-3224-4b14-8e7d-0aa0db708325statusstring · enumRequiredExample:
The current status of the generation task.
completedPossible values: get
/v2/video/generations200Success
Full Example: Generating and Retrieving the Video From the Server
Last updated
Was this helpful?